/* Nav-bar */
.desktop-nav{
    display: block;
    height: 100px;
    margin-bottom: 1.5rem;
    padding: 15px 5px;
}
.logo-img{
    height: 100px;
    width: 250px;
}
.desktop-nav-inner{
    width: 100%;
    height: 100px;
    padding: 2rem;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}
#nav-links{
    display: flex;
    flex-direction: row;
    font-size: 20px;
    font-weight: 400;
}
#nav-links a{
    text-decoration: none;
    color: white;
    font-size: 20px;
    font-weight: 400;
    transition: color 0.3s ease;
}
#nav-links ul{
    list-style: none;
    display: flex;
    flex-direction: row;
    gap: 2rem;
}
#nav-links a:hover{
    color: #ffd700;
    transition: all 0.3s ease 0s;
}

.mobile-nav{
    display: none;
}
.mobile-nav-inner{
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 10px;
}
.mobile-title{
    height: 75px;
    font-size: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}
.hidden-menu{
    background-color: #0F172A;
    border-left: 1px solid #333;
    height: 100vh;
    max-width: 450px;
    top:0;
    right: -450px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size:3rem;
}
.hidden-menu.active{
    right: 0;
}
.hidden-menu a{
    text-decoration: none;
    color: white;
    font-size: 2rem;
    font-weight: 400;
    transition: color 0.3s ease;
}
.hidden-menu ul{
    list-style: none;
}
.hidden-menu a:hover{
    color: #ffd700;
    transition: .3s ease;
}
.ham-menu{
    height: 50px;
    width: 50px;
    margin-right: 15px;
    margin-left: auto;
    position: relative;
}
.ham-menu:hover{
    cursor: pointer;
}
.ham-menu span{
    height:5px;
    width: 100%;
    background-color: white;
    border-radius: 25px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: .3s ease;
}
.ham-menu span:nth-child(1){
    top: 25%;
}
.ham-menu span:nth-child(3){
    top: 75%;
}

.ham-menu.active span:nth-child(1){
    top:50%;
    transform: translate(-50%, -50%) rotate(45deg);
}
.ham-menu.active span:nth-child(2){
    opacity: 0;
}
.ham-menu.active span:nth-child(3){
    top: 40%;
    transform: translate(-50%, 50%) rotate(-45deg);
}
/* MEDIA QUERIES */
@media (max-width: 640px) {
    .desktop-nav {
        display: none;
    }

    .mobile-nav {
        display: block;
        position: relative;
        z-index: 10;
    }

    .mobile-title a {
        margin-left: 50px;
        color: transparent;
    }

    .hidden-menu {
        position: absolute;
        width: 100%;
        max-height: 100vh;
        transition: 0.3s ease;
        display: none;
    }

    .logo-img{
        margin-top: 40px;
    }

}